Forum Linux.gentoo probleme a installer kde

Posté par .
Tags : aucun
0
13
juin
2007
Salut, je vend d'installer gentoo 2007.0 sur ma machine. Elle marche assez bien sauf que je ne peut pas installer kde-3.5.5 ni kde-3.5.7. Comme vous pouvez le voir je met si dessous le message d'erreur qui me sort soit avec
emerge kde
emerge kde-meta
emerge kdebase-meta
et ainsi de suite

-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... will be installed in /usr/kde/3.5
checking grepping for visibility push/pop in headers... yes
checking whether x86_64-pc-linux-gnu-g++ supports -fvisibility=hidden... (cached) no
checking for KDE paths... defaults
checking for dcopidl... compiled
checking for dcopidl2cpp... compiled
checking for mcopidl... not found
configure: error: The important program mcopidl was not found!
Please check whether you installed aRts correctly or use
--without-arts to compile without aRts support (this will remove functionality).


!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/kde-base/kdelibs-3.5.7/work/kdelibs-3.5.7/config.log

!!! ERROR: kde-base/kdelibs-3.5.7 failed.
Call stack:
ebuild.sh, line 1615: Called dyn_compile
ebuild.sh, line 972: Called qa_call 'src_compile'
ebuild.sh, line 44: Called src_compile
kdelibs-3.5.7.ebuild, line 151: Called kde_src_compile
kde.eclass, line 170: Called kde_src_compile 'all'
kde.eclass, line 340: Called kde_src_compile 'myconf' 'configure' 'make'
kde.eclass, line 322: Called econf '--with-distribution=Gentoo' '--disable-fast-malloc' '--with-libart' '--with-libidn' '--with-ssl' '--without-hspell' '--disable-libfam' '--enable-dnotify' '--with-acl' '--with-alsa' '--with-arts' '--enable-cups' '--without-gssapi' '--without-tiff' '--without-jasper' '--without-openexr' '--without-utempter' '--without-lua' '--enable-sendfile' '--enable-mitshm' '--without-aspell' '--disable-dnssd' '--with-rgbfile=/usr/share/X11/rgb.txt' '--with-x' '--enable-mitshm' '--without-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib64' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--disable-final' '--with-arts' '--prefix=/usr/kde/3.5' '--mandir=/usr/kde/3.5/share/man' '--infodir=/usr/kde/3.5/share/info' '--datadir=/usr/kde/3.5/share' '--sysconfdir=/usr/kde/3.5/etc' '--enable-libsuffix=64'
ebuild.sh, line 578: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/kde-base/kdelibs-3.5.7/temp/build.log'

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

comment puis je installer kde sans tout recommence a zero, sur quelques site ils ont indiquer que de faire un emerge --sync arrange ce genre de problème mais ici ca na rien regler.

Ps: j'oublier j'avais deja kde d'installer dans mon ordi mais il y a eu un probleme et je fait une emerge --unmerge kde
  • # La réponse est dans la question

    Posté par (page perso) . Évalué à 2.

    Please check whether you installed aRts correctly or use
    --without-arts to compile without aRts support (this will remove functionality).


    Enfin, c'est ce qu'il me semble.
  • # je vois ...

    Posté par . Évalué à 1.


    checking for mcopidl... not found
    configure: error: The important program mcopidl was not found!
    Please check whether you installed aRts correctly or use
    --without-arts to compile without aRts support
    (this will remove functionality).


    aussi tu devrais peut-etre simplement essayer d'installer ce fameux
    mcpidl

    et/ou passer l'option
    --without-arts
    au risque de "perdre" des fonctionnalités (lié à la gestion sonore)
  • # Quelques essais

    Posté par (page perso) . Évalué à 2.

    Tu peux faire

    USE="-arts" emerge -DNauv kdebase et la tu n'aura pas arts

    Avec un peut de chance, ça marche, mais tu n'auras pas arts

    Tu peux aussi tenter un USE="arts" emerge -DNauv kdebase pour être sur que arts se compile et que tout ce qui peut s'y lié le soit.

    Voila, j'espère que tu t'en sortiras.

    Au final si le +/-arts marche, je te conseil de le mettre dans ton /etc/make.conf
  • # emerge -uDa?

    Posté par . Évalué à 1.

    Plutot que de faire:

    >emerge kde-meta

    Tu as essayé:

    >emerge -uDa kde-meta

    ??

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.